Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.gui
Class VDialog

    java.lang.Object
      multivalent.VObject
          multivalent.Node
              multivalent.INode
                  multivalent.gui.VFrame
                      multivalent.gui.VDialog

All Implemented Interfaces:
  java.lang.Cloneable, EventListener, java.util.EventListener

public class VDialog
extends VFrame

A `VFrame` that returns an event to its parent Document. Automatically sizes to fit content Document. For example, content can be HTML page associated with behavior, and include a FORM for setting attributes. User closes with close box or perhaps close button in the document (HTML FORM or scripted). Submit button should send XXX event to close.

Version:
  $Revision: 1.3 $ $Date: 2003/06/02 05:17:53 $

Field Summary

Fields inherited from class multivalent.gui.VFrame
`HEIGHT_MIN, lampshade, MSG_CLOSED, MSG_MOVED, MSG_RAISED, MSG_RESIZED, PREF_VANISHING, resizable, WIDTH_MIN`

Fields inherited from class multivalent.INode
`border, INSETS, INSETS_ZERO, margin, padding`

Fields inherited from class multivalent.Node
`align, ALIGN_INVALID, ATTR_ID, ATTR_SCRIPT, baseline, BASELINE, bbox, BOTH, BOTTOM, CENTER, CHAR, FILL, floats, INHERIT, JUSTIFY, LEFT, MAXNONSTRUCTDEPTH, MIDDLE, name_, NONE, observers_, parent_, PROBEWIDTH, RIGHT, sticky_, stickycnt_, TOP, valid_, valign`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`VDialog(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> attr, INode parent, java.net.URI docuri)`
`VDialog(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> attr, INode parent, java.net.URI docuri, java.util.Map vals, Behavior in)`

Method Summary
`boolean` | `formatNode(int width, int height, Context cx)` Children report dimensions (width and height), parent places at (x,y).
`void` | `setIn(Behavior in)` Set Behavior that's interested in what happens when dialog is closed.

Methods inherited from class multivalent.gui.VFrame
`close, event, eventBeforeAfter, eventNode, getContentBounds, getTitle, isPinned, paintNode, raise, setBounds, setIn, setLocation, setPinned, setSize, setTitle`

Methods inherited from class multivalent.INode
`addCategory, appendChild, breakAfter, breakBefore, checkRep, childAt, childNum, clipboardNode, clone, contains, dump, dx, dy, findDFS, formatBeforeAfter, getElementById, getFirstChild, getFirstLeaf, getLastChild, getLastLeaf, getNextSibling, getPreviousSibling, insertChildAt, isStruct, markDirtySubtreeDown, paintBeforeAfter, removeAllChildren, removeChild, removeChildAt, setChildAt, setName, size, structChildAt, structChildNum, structsize`

Methods inherited from class multivalent.Node
`addObserver, addSticky, addSticky, childNum, clipboardBeforeAfter, cmp, commonAncestor, commonAncestor, contains, deleteObserver, dump, dump, findBFS, findBFS, findBFS, findDFS, findDFS, findDFS, getAbsLocation, getActivesAt, getActivesAt, getActivesAt, getBbox, getBrowser, getDocument, getIScrollPane, getName, getNextLeaf, getNextNode, getNodeName, getObservers, getParentNode, getPrevLeaf, getPrevNode, getRelLocation, getRoot, getSticky, indexSticky, intersects, isLeaf, isValid, markDirty, markDirtySubtree, markDirtyTo, morphInto, reformat, remove, removeSticky, removeSticky, removeTidy, repaint, repaint, repaint, repaint, scrollTo, scrollTo, setParentNode, setValid, sizeSticky, spanChunky, spanChunky, structChildNum, toString`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VDialog

    public VDialog(java.lang.String name,
                   java.util.Map<java.lang.String,java.lang.Object> attr,
                   INode parent,
                   java.net.URI docuri)

### VDialog

    public VDialog(java.lang.String name,
                   java.util.Map<java.lang.String,java.lang.Object> attr,
                   INode parent,
                   java.net.URI docuri,
                   java.util.Map vals,
                   Behavior in)

Method Detail

### setIn

    public void setIn(Behavior in)

  Set Behavior that's interested in what happens when dialog is closed.

### formatNode

    public boolean formatNode(int width,
                              int height,
                              Context cx)

  Description copied from class: `INode`
  Children report dimensions (width and height), parent places at (x,y). Bbox = union of children's bboxes Children stacked vertically like TeX vbox; override to implement other layout strategies To implement a new layout manager, override this method.

  Overrides:
    `formatNode` in class `VFrame`
  See Also:
    `FixedI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD